Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.fonts
Enum Font.FlagsEnum

    java.lang.Object
      java.lang.Enum<Font.FlagsEnum>
          org.pdfclown.documents.contents.fonts.Font.FlagsEnum

All Implemented Interfaces:
  Serializable, Comparable<Font.FlagsEnum>

Enclosing class:
  Font

    public static enum Font.FlagsEnum

extends Enum<Font.FlagsEnum>

Font descriptor flags [PDF:1.6:5.7.1].

Enum Constant Summary
`AllCap` Font contains no lowercase letters.
`FixedPitch` All glyphs have the same width.
`ForceBold` Thicken bold glyphs at small text sizes.
`Italic` Glyphs have dominant vertical strokes that are slanted.
`Nonsymbolic` Font uses the Adobe standard Latin character set.
`Script` Glyphs resemble cursive handwriting.
`Serif` Glyphs have serifs.
`SmallCap` Font contains both uppercase and lowercase letters.
`Symbolic` Font contains glyphs outside the Adobe standard Latin character set.

Method Summary
`int` | `getCode()`
`static EnumSet<Font.FlagsEnum>` | `toEnumSet(int flagsMask)` Converts a bit mask into its corresponding enumeration representation.
`static int` | `toInt(EnumSet<Font.FlagsEnum> flags)` Converts an enumeration set into its corresponding bit mask representation.
`static Font.FlagsEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Font.FlagsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FixedPitch

    public static final Font.FlagsEnum FixedPitch

  All glyphs have the same width.

### Serif

    public static final Font.FlagsEnum Serif

  Glyphs have serifs.

### Symbolic

    public static final Font.FlagsEnum Symbolic

  Font contains glyphs outside the Adobe standard Latin character set.

### Script

    public static final Font.FlagsEnum Script

  Glyphs resemble cursive handwriting.

### Nonsymbolic

    public static final Font.FlagsEnum Nonsymbolic

  Font uses the Adobe standard Latin character set.

### Italic

    public static final Font.FlagsEnum Italic

  Glyphs have dominant vertical strokes that are slanted.

### AllCap

    public static final Font.FlagsEnum AllCap

  Font contains no lowercase letters.

### SmallCap

    public static final Font.FlagsEnum SmallCap

  Font contains both uppercase and lowercase letters.

### ForceBold

    public static final Font.FlagsEnum ForceBold

  Thicken bold glyphs at small text sizes.

Method Detail

### values

    public static Font.FlagsEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Font.FlagsEnum c : Font.FlagsEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Font.FlagsEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toInt

    public static int toInt(EnumSet<Font.FlagsEnum> flags)

  Converts an enumeration set into its corresponding bit mask representation.

### toEnumSet

    public static EnumSet<Font.FlagsEnum> toEnumSet(int flagsMask)

  Converts a bit mask into its corresponding enumeration representation.

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.